RDF::Trine::Serializer::TSV(3pm)

NAME
RDF::Trine::Serializer::TSV - TSV Serializer

VERSION
This document describes RDF::Trine::Store version 1.019

SYNOPSIS
 use RDF::Trine::Serializer::TSV;
 my $serializer = RDF::Trine::Serializer::TSV->new();

DESCRIPTION
The RDF::Trine::Serializer::TSV class provides an API for serializing RDF graphs to the TSV syntax.

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Serializer class.

"new"
    Returns a new TSV serializer object.

"serialize_model_to_file ( $fh, $model )"
    Serializes the $model to TSV, printing the results to the supplied filehandle "<$fh">.

"serialize_model_to_string ( $model )"
    Serializes the $model to TSV, returning the result as a string.

"serialize_iterator_to_file ( $file, $iter )"
    Serializes the iterator to TSV, printing the results to the supplied filehandle "<$fh">.

"serialize_iterator_to_string ( $iter )"
    Serializes the iterator to TSV, returning the result as a string.

"result_as_string ( $result, \@names )"
    Returns a string with the bound terms of the given RDF::Trine::VariableBindings corresponding to the given @names serialized in N-Triples format, separated by tab characters.

"statement_as_string ( $st )"
    Returns a string with the nodes of the given RDF::Trine::Statement serialized in N-Triples format, separated by tab characters.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://www.w3.org/TR/rdf-testcases/#ntriples>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.